%define srcname xf86-video-nsc
%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-nsc
Version: 2.8.2
Release: alt2
Serial: 1
Summary: Nsc video driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2
Source1: nsc.xinf

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Provides: x11-driver-ncs
Requires: xorg-x11-server >= 1.0.99.901

BuildRequires: pkg-config xorg-x11-sdk xorg-x11-proto-devel xorg-x11-util-macros

ExclusiveArch: %ix86

%description
nsc is an Xorg driver for National Semiconductors GEODE processor family.
It uses the DURANGO kit provided by  National  Semiconductor.
The  driver is accelerated, and provides support for the following
framebuffer depths: 8, 16 and 24.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE1 %buildroot%_hwdatadir/nsc.xinf

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:2.8.2-alt2
- added videoaliases file from RH

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:2.8.2-alt1
- 2.8.2

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:2.8.1-alt1
- 2.8.1

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:2.7.6.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:2.7.6.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:2.7.6.2-alt0.1
- initial release

